Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2251693005: services/ui: Implement MojoGpuMemoryBufferManager::CreateGpuMemoryBufferFromHandle (Closed)

Created:
1 year, 3 months ago by Peng
Modified:
1 year, 3 months ago
Reviewers:
sky, dcheng, piman
CC:
chromium-reviews, rjkroege, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, darin (slow to review), ben+mojo_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

services/ui: Implement MojoGpuMemoryBufferManager::CreateGpuMemoryBufferFromHandle BUG=None Committed: https://crrev.com/fc56b0062cb12b75c7465710e96fe51f86355913 Cr-Commit-Position: refs/heads/master@{#412965}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Fix review issue. #

Total comments: 4

Messages

Total messages: 31 (14 generated)
Peng
Hi Antoine, PTAL. Thanks.
1 year, 3 months ago (2016-08-17 15:22:00 UTC) #2
piman
lgtm
1 year, 3 months ago (2016-08-17 16:43:06 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2251693005/1
1 year, 3 months ago (2016-08-17 17:41:17 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/240006)
1 year, 3 months ago (2016-08-17 17:44:49 UTC) #11
Peng
Hi Daniel, PTAL. Thanks.
1 year, 3 months ago (2016-08-17 17:46:44 UTC) #13
dcheng
https://codereview.chromium.org/2251693005/diff/1/services/ui/public/cpp/mojo_gpu_memory_buffer.cc File services/ui/public/cpp/mojo_gpu_memory_buffer.cc (right): https://codereview.chromium.org/2251693005/diff/1/services/ui/public/cpp/mojo_gpu_memory_buffer.cc#newcode68 services/ui/public/cpp/mojo_gpu_memory_buffer.cc:68: return base::WrapUnique<gfx::GpuMemoryBuffer>( Nit: Omit the template parameter here (WrapUnique ...
1 year, 3 months ago (2016-08-17 22:59:00 UTC) #14
Peng
https://codereview.chromium.org/2251693005/diff/1/services/ui/public/cpp/mojo_gpu_memory_buffer.cc File services/ui/public/cpp/mojo_gpu_memory_buffer.cc (right): https://codereview.chromium.org/2251693005/diff/1/services/ui/public/cpp/mojo_gpu_memory_buffer.cc#newcode68 services/ui/public/cpp/mojo_gpu_memory_buffer.cc:68: return base::WrapUnique<gfx::GpuMemoryBuffer>( On 2016/08/17 22:59:00, dcheng wrote: > Nit: ...
1 year, 3 months ago (2016-08-17 23:28:17 UTC) #15
dcheng
https://codereview.chromium.org/2251693005/diff/20001/services/ui/public/cpp/mojo_gpu_memory_buffer.cc File services/ui/public/cpp/mojo_gpu_memory_buffer.cc (right): https://codereview.chromium.org/2251693005/diff/20001/services/ui/public/cpp/mojo_gpu_memory_buffer.cc#newcode83 services/ui/public/cpp/mojo_gpu_memory_buffer.cc:83: if (!shared_memory_->Map(gfx::BufferSizeForBufferFormat(size_, format_))) Shouldn't this use the checked variant? ...
1 year, 3 months ago (2016-08-18 02:46:35 UTC) #16
Peng
On 2016/08/18 02:46:35, dcheng wrote: > https://codereview.chromium.org/2251693005/diff/20001/services/ui/public/cpp/mojo_gpu_memory_buffer.cc > File services/ui/public/cpp/mojo_gpu_memory_buffer.cc (right): > > https://codereview.chromium.org/2251693005/diff/20001/services/ui/public/cpp/mojo_gpu_memory_buffer.cc#newcode83 > ...
1 year, 3 months ago (2016-08-18 14:14:20 UTC) #17
dcheng
On 2016/08/18 14:14:20, Peng wrote: > On 2016/08/18 02:46:35, dcheng wrote: > > > https://codereview.chromium.org/2251693005/diff/20001/services/ui/public/cpp/mojo_gpu_memory_buffer.cc ...
1 year, 3 months ago (2016-08-18 19:23:50 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2251693005/20001
1 year, 3 months ago (2016-08-18 20:03:08 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/241119)
1 year, 3 months ago (2016-08-18 20:12:25 UTC) #23
Peng
sky@chromium.org: PTAL. Thanks.
1 year, 3 months ago (2016-08-18 20:24:31 UTC) #25
sky
LGTM
1 year, 3 months ago (2016-08-18 22:00:01 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2251693005/20001
1 year, 3 months ago (2016-08-18 22:06:25 UTC) #28
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year, 3 months ago (2016-08-18 23:05:38 UTC) #29
commit-bot: I haz the power
1 year, 3 months ago (2016-08-18 23:24:41 UTC) #31
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/fc56b0062cb12b75c7465710e96fe51f86355913
Cr-Commit-Position: refs/heads/master@{#412965}

Powered by Google App Engine
This is Rietveld efc10ee0f